Ingest adjustment events

Requires the METER_DATA.INGEST permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
product_item_idstringRequired
The resource ID of the associated product item.
customer_idstring or nullOptional
The resource ID of the associated customer.
customer_referencestring or nullOptional
A custom reference assigned to the customer.
pricing_plan_subscription_idstring or nullOptional
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or nullOptional
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobjectOptional
A selector to dynamically determine the subscription to use.
referencestring or nullOptionalformat: "^[a-zA-Z0-9_\-]*"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
timestampdatetime or nullOptional
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
amountobjectOptional
fixed_amountobjectOptional

Response

Created
product_item_idstring
The resource ID of the associated product item.
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
The resource ID of the associated customer.
customer_referencestring or null
A custom reference assigned to the customer.
pricing_plan_subscription_idstring or null
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or null
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobject
A selector to dynamically determine the subscription to use.
referencestring or nullformat: "^[a-zA-Z0-9_\-]*"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
timestampdatetime or null
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
amountobject
fixed_amountobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error